"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _react2 = require("@emotion/react");
/** @jsx jsx */

var flexAlignItemsMap = {
  center: (0, _react2.css)({
    alignItems: 'center'
  }),
  baseline: (0, _react2.css)({
    alignItems: 'baseline'
  }),
  flexStart: (0, _react2.css)({
    alignItems: 'flex-start'
  }),
  flexEnd: (0, _react2.css)({
    alignItems: 'flex-end'
  }),
  start: (0, _react2.css)({
    alignItems: 'start'
  }),
  end: (0, _react2.css)({
    alignItems: 'end'
  })
};
var flexJustifyContentMap = {
  center: (0, _react2.css)({
    justifyContent: 'center'
  }),
  flexStart: (0, _react2.css)({
    justifyContent: 'flex-start'
  }),
  flexEnd: (0, _react2.css)({
    justifyContent: 'flex-end'
  }),
  start: (0, _react2.css)({
    justifyContent: 'start'
  }),
  end: (0, _react2.css)({
    justifyContent: 'end'
  })
};
var flexWrapMap = {
  wrap: (0, _react2.css)({
    flexWrap: 'wrap'
  })
};
var baseStyles = (0, _react2.css)({
  display: 'flex',
  boxSizing: 'border-box',
  flexDirection: 'column'
});

/**
 * __Stack__
 *
 * Stack is a primitive component based on flexbox that manages the vertical layout of direct children.
 * Renders a `div` by default.
 *
 * @private
 * @deprecated DSP-8009: This primitive is scheduled for deletion.
 * Please use `Stack` from `@atlaskit/primitives` instead.
 *
 */
var Stack = /*#__PURE__*/(0, _react.memo)( /*#__PURE__*/(0, _react.forwardRef)(function (_ref, ref) {
  var gap = _ref.gap,
    alignItems = _ref.alignItems,
    justifyContent = _ref.justifyContent,
    flexWrap = _ref.flexWrap,
    children = _ref.children,
    UNSAFE_style = _ref.UNSAFE_style,
    testId = _ref.testId;
  return (0, _react2.jsx)("div", {
    style: UNSAFE_style,
    css: [baseStyles, gap && rowGapMap[gap], alignItems && flexAlignItemsMap[alignItems], justifyContent && flexJustifyContentMap[justifyContent], flexWrap && flexWrapMap[flexWrap]],
    "data-testid": testId,
    ref: ref
  }, children);
}));
Stack.displayName = 'Stack';
var _default = Stack;
/**
 * THIS SECTION WAS CREATED VIA CODEGEN DO NOT MODIFY {@see http://go/af-codegen}
 * @codegen <<SignedSource::b762b9e20e785c1909a1c59c2791a66e>>
 * @codegenId spacing
 * @codegenCommand yarn codegen-styles
 * @codegenParams ["rowGap"]
 * @codegenDependency ../../../tokens/src/artifacts/tokens-raw/atlassian-spacing.tsx <<SignedSource::167d3b69b159ae33e74d4ea5ab7eade6>>
 */
exports.default = _default;
var rowGapMap = {
  'space.0': (0, _react2.css)({
    rowGap: "var(--ds-space-0, 0px)"
  }),
  'space.025': (0, _react2.css)({
    rowGap: "var(--ds-space-025, 2px)"
  }),
  'space.050': (0, _react2.css)({
    rowGap: "var(--ds-space-050, 4px)"
  }),
  'space.075': (0, _react2.css)({
    rowGap: "var(--ds-space-075, 6px)"
  }),
  'space.100': (0, _react2.css)({
    rowGap: "var(--ds-space-100, 8px)"
  }),
  'space.1000': (0, _react2.css)({
    rowGap: "var(--ds-space-1000, 80px)"
  }),
  'space.150': (0, _react2.css)({
    rowGap: "var(--ds-space-150, 12px)"
  }),
  'space.200': (0, _react2.css)({
    rowGap: "var(--ds-space-200, 16px)"
  }),
  'space.250': (0, _react2.css)({
    rowGap: "var(--ds-space-250, 20px)"
  }),
  'space.300': (0, _react2.css)({
    rowGap: "var(--ds-space-300, 24px)"
  }),
  'space.400': (0, _react2.css)({
    rowGap: "var(--ds-space-400, 32px)"
  }),
  'space.500': (0, _react2.css)({
    rowGap: "var(--ds-space-500, 40px)"
  }),
  'space.600': (0, _react2.css)({
    rowGap: "var(--ds-space-600, 48px)"
  }),
  'space.800': (0, _react2.css)({
    rowGap: "var(--ds-space-800, 64px)"
  })
};

/**
 * @codegenEnd
 */